#
# spec file for package liblcms (Version 1.15)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           liblcms
BuildRequires:  gcc-c++ libtiff-devel
License:        distributable, Other License(s), see package
Group:          System/Libraries
Summary:        Libraries for the Little CMS Engine
URL:            http://www.littlecms.com/
Version:        1.15
Release:        12.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        lcms-%{version}.tar.bz2
Patch:          lcms.diff

%description
This is a small engine for doing color management work.



Authors:
--------
    Marti Maria <martim@abaforum.es>

%debug_package
%package devel
Summary:        Include Files and Libraries Mandatory for Development
Requires:       liblcms = %{version}
Provides:       liblcms:/usr/include/lcms.h
Group:          System/Libraries

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Marti Maria <martim@abaforum.es>

%prep
%setup -q -n lcms-%{version}
%patch

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=/usr \
  --libdir=%_libdir \
  --mandir=%_mandir
make
make check
#make utils

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/liblcms/

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc COPYING AUTHORS
/usr/bin/icc2ps
/usr/bin/icclink
/usr/bin/jpegicc
/usr/bin/tifficc
/usr/bin/icctrans
/usr/bin/wtpt
/usr/bin/tiffdiff
/usr/share/liblcms/
%_libdir/liblcms.so.*
%_mandir/man1/icc2ps.1.gz
%_mandir/man1/icclink.1.gz
%_mandir/man1/jpegicc.1.gz
%_mandir/man1/tifficc.1.gz
%_mandir/man1/wtpt.1.gz

%files devel
%defattr(-,root,root)
%doc doc
/usr/include/icc34.h
/usr/include/lcms.h
%_libdir/liblcms.*a
%_libdir/liblcms.so
%_libdir/pkgconfig/lcms.pc

%changelog -n liblcms
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 16 2005 - ltinkl@suse.cz
- update to 1.15
* Wed Jan 05 2005 - adrian@suse.de
- update to version 1.14
- add c++ packages to nfb, libtiff does use c++ now.
* Sun Dec 21 2003 - adrian@suse.de
- update to version 1.12
* Mon Oct 27 2003 - ro@suse.de
- update to 1.11
* Sat Jul 19 2003 - adrian@suse.de
- update to version 1.10
* Fri Feb 21 2003 - ro@suse.de
- added provides liblcms.so to devel package (compat reasons)
* Thu Dec 19 2002 - coolo@suse.de
- fixing soname of the library
* Thu Dec 19 2002 - kukuk@suse.de
- Fix requires of main package in devel subpackage (add version)
* Wed Dec 18 2002 - adrian@suse.de
- split -devel package
* Tue Aug 06 2002 - adrian@suse.de
- add %%run_ldconfig
* Wed Jul 10 2002 - adrian@suse.de
- update to version 1.09:
  Overall faster speed.
  Much better absolute colorimetric intents. LittleCMS does now 'undo'
  chromatic adaptation as recommended by latest ICC spec.
  Full softproofing.
  Full gamutchecking.
  Writting capabilities. Lcms can now create profiles as well.
  New CIE94, CMC and BFD color difference spaces.
  Low-level LUT handling is now promoted to API and documented.
  Parametric curves.
  Several ICC 4.0 extensions. Full ICC 4.0 compliance is expected on next
  revision.
  Improved WhiteBlack compensation
  Improved portability. Several new platforms added.
  New JPEGICC utility.
  Improved TIFFICC and ICCTRANS utilities.
  Some minor bugs fixed.
- The "some minor bug fixes" obsolete the big qt namespace fix.
* Mon Jun 24 2002 - adrian@suse.de
- fix HANDLE statement in lcms.h for Qt3
* Fri Jun 21 2002 - ro@suse.de
- use -fPIC for shared lib
- autodetect alpha
- autodetect bigendian
* Tue Jan 29 2002 - adrian@suse.de
- update to version 1.08
- header files are moving from /usr/include/lcms to /usr/include
* Wed Jan 23 2002 - coolo@suse.de
- add a soname to the library
* Fri Jan 11 2002 - schwab@suse.de
- Make portable across architectures.
* Mon Jan 07 2002 - adrian@suse.de
- use build root
- use %%{_libdir}
* Sun Nov 25 2001 - adrian@suse.de
- add mips to big endian architectures
* Fri Oct 26 2001 - ro@suse.de
- use mieee to make it build on alpha
* Mon Jul 16 2001 - adrian@suse.de
- compile with -fPIC (fixed by kraxel)
* Fri Jun 15 2001 - adrian@suse.de
- add s390x to big_endian
* Sun Mar 25 2001 - adrian@suse.de
- update to 1.07. no libtool support anymore in the package :-(
* Wed Feb 28 2001 - ro@suse.de
- don't talk about long if a 32bit type is desired ...
* Fri Feb 09 2001 - bk@suse.de
- configure fixed to proper use of RPM_OPT_FLAGS
- fixed filelist (remove obsolete %%docdirs that are in aaa_base)
- move update_config macro to %%prep, before patches(is preparing)
* Wed Nov 29 2000 - adrian@suse.de
- comment out PACKAGE and VERSION in lcms.h. this had break every
  configure test.
* Wed Oct 04 2000 - adrian@suse.de
- Spec file created from lcms-1.06.tar.bz2 by autospec
